Easy HTML To Any Script Converter 1.0 Help

What is 'Easy HTML To Any Script Converter'

Easy HTML To Any Script Converter provides fast and easy conversion of HTML Files and HTML Code Blocks pasted from Clipboard to any Script. You can use the existing script generation templates, create your own or edit existing templates directly from program window. Generated scripts can be used for different purposes, e.g. you can include them to your server PHP, Perl, ASP and JSP scripts, replace all identical places in your HTML pages with a link to generated JavaScript File and further edit only this file for applying changes to all linked pages — see 'What's New' section on different pages of easy HTools web site.

Also you can use it for encrypting the email addresses with JavaScript for preventing any access to them by spam-bots from your web pages.

The program works in four different modes, placed on separate tabs of the main window: 'Single File', 'Files List', 'Text Block' and 'Email to JavaScript'. First three tabs allow to perform the conversion matching to selected mode and the fourth tab is used for email addresses encryption. Read more about existing modes on Working with Program page of this help.

The program allows users to set different options to operate program settings, change interface language etc. When you run program the first time its all options are established by default. Upon termination the configuration file in the program directory is created and all established parameters and attributes are remembered and at the following start of the program are restored. Read more about program options on Options page of this help.

For editing script templates, creating your own or deleting existing templates you can use the built-in Script Templates Editor, which allows to establish script formatting mode, auto detection with replacement of some symbols used in scripts etc. Read more about script templates editor on Script Templates Editor page of this help.

Easy HTML To Any Script Converter is completely freeware. It may be used and distributed without limitations, in its original form as available here. Please read carefully the license agrement before using this product.


Working with program

Conversion Modes

The conversion is being performed in three different modes, placed on separate tabs of the main window: 'Single File', 'File List' and 'Text Block'. This allows to set conversion options matching to selected mode. Below are described features of each mode according to tabs names:

Single File:
Select the source file in File Opening Dialog Box by pressing the button on the right from 'Input HTML File' row. Also you can drag the matching file icon to program icon — the program window will open on the 'Single File' tab and the file path will automatically appear in the input file address bar. Then you can set output folder different from source folder (by default generated files are placed to the same folder as source files), rename the output file etc. Now all you have to do is to press 'Start Conversion' Toolbar Button or matching command in 'File' Menu.
Files List:
Allows to perform multiple HTML files conversion in the same time but all generated files with the same filenames and matching script extension will be automatically placed to the same folders as their source files. For adding files to the list you can use 'Add Files' (allows to load multiple files from the same folder) and 'Add Folder' (allows to load all files matching the filter mask from selected folder with all its subfolders) Toolbar Buttons or matching 'File' Menu commands. Also you can drag two and more files icons to program icon — the program window will open on the 'Files List' tab and all the files will be added to the list automatically. For removal files from list just select them and press 'Remove from List' Toolbar Button/File Menu Command. Conversion process is the same as described above.
Text Block:
Allows to perform conversion of separate text blocks pasted from clipboard or typed directly in upper text field. All you have to do after finishing the conversion process is to copy the output code from lower text field and paste it to the matching place on your script file. If 'Copy Output Code To Clipboard Automatically' option in 'Options' dialog box is checked then you even don't need to press 'Copy' button — generated code will be copied to clipboard automatically and in the statusbar will be displayed the matching message. Conversion process is the same as described above.

Email Address Encryption

The email address encryption can be used for preventing any access to them by spam-bots from your web pages. But all encrypted links do work when user clicks on them from browser window.

The email address encryption is being performed on the 'Email To JavaScript' tab of the main window. It has three Input Fields (two of them are optional), checkbox for adding <NOSCRIPT> tag which will be displayed in browsers without JavaScript Support and Output Field for displaying the generated JavaScript Code.

  • Your Email Address: You can type your email address here or paste it from Clipboard (example: yourname@yourdomain.com).
  • Your Link Text: You can type your text or paste your <IMG> tag (for graphical links) which will be linked to your email address (HTML example: <A HREF="mailto:yourname@yourdomain.com">Your Link Text</A>). If you leave this field empty, the link text will be the same as your email address (HTML example: <A HREF="mailto:yourname@yourdomain.com">yourname@yourdomain.com</A>).
  • Your Message Subject: You can type your message subject which will be placed in 'Subject' Field of email client automatically (HTML example: <A HREF="mailto:yourname@yourdomain.com?subject=Your Message Subject">Your Link Text</A>). If you leave this field empty, the 'Subject' field will stay empty.
  • Add <NOSCRIPT> Tag: When it is checked, the <NOSCRIPT> tag with your low encrypted email address is being added to the end of generated JavaScript Code. This allows to get your email address for users which use browsers without JavaScript support. The HTML synthax is <NOSCRIPT>yourname <I>at</I> yourdomain <I>dot</I> com</NOSCRIPT> which will be displayed as yourname at yourdomain dot com.
  • Get HTML Code: Displays JavaScript code upon generation which is ready to copy for pasting it to your web page instead of non-encrypted email link. If 'Copy Output Code To Clipboard Automatically' option in 'Options' dialog box is checked then you even don't need to press 'Copy' button — generated code will be copied to clipboard automatically and in the statusbar will be displayed the matching message.


Toolbar

Toolbar buttons provide quick access to some of the frequently used commands. If a command is unavailable, the matching button appears grayed-out. When you place the mouse pointer over a toolbar button, the popup hint with description of its function appears. Toolbar buttons are located from left to right in such sequence:

Add Files — opens the File Opening Dialog Box which allows to add selected files to the Files List on 'Files List' Tab from opened folder. If you want to select more files you can use 'Ctrl' and 'Shift' keys.

Add Folder — opens the Browsing for Folder Dialog Box which allows to add to the Files List on 'Files List' Tab all matching files from selected folder and all its subfolders.

Remove from List — removes all selected files on 'Files List' Tab. For clearing the list you can select all files with Edit/Select All menu command or 'Ctrl+A' hot key.

Cut — allows to cut selected text from text fields on 'Text Block' and 'Email To JavaScript' Tabs to Clipboard.

Copy — allows to copy selected text from text fields on 'Text Block' and 'Email To JavaScript' Tabs to Clipboard.

Paste — allows to paste the text from Clipboard to activated text field on 'Text Block' and 'Email To JavaScript' Tabs.

Font — allows set any font, font size and code page for displaying text of text fields on 'Text Block' and 'Email To JavaScript' Tabs. Established parameters are remembered on exit.

Script Selection List — works with first three Tabs only and allows to select any existing script template which will be used while generation process.

Script Templates Editor — works with first three Tabs only and opens the Script Templates Editor where you can create, edit or delete your scripts templates.

Start Conversion — starts the conversion process. Works with all Tabs.

Stop Conversion — stops conversion process with loss of already generated data. Works with 'Single File', 'Text Block' and 'Email To JavaScript' Tabs only (for stopping the batch conversion you have to press 'Cancel' Button in special progress displaying window box).

Options — opens the 'Options' dialog box for operating program settings and generation process, setting interface language etc.


Menu Bar and the Hotkeys

The menu commands are located in four main menu items: 'File', 'Edit', 'View' and 'Help'. Their accessibility depends on conversion mode. The most important and frequently used commands are also available from toolbar. Some commands for working with 'Files List' and 'Text Block' tab can be also accessed from context menu (available by right mouse-click). The menu items are listed below:

File:
Open File [Ctrl+O] — works only with 'Single File' conversion mode and opens the single source file.
Save File as... [Ctrl+S] — works only with 'Single File' conversion mode and allows to select new path and name for output single Script File.
Add Files [Ctrl+I] — works only with 'Files List' conversion mode and allows to add selected files to the Files List from opened folder. If you want to select more files you can use 'Ctrl' and 'Shift' keys.
Add Folder [Ctrl+D] — works only with 'Files List' conversion mode and allows to add to the Files List all matching files from selected folder and all its subfolders.
Remove From List [Ctrl+Del] — works only with 'Files List' conversion mode and removes all selected files from Files List Tab. For clearing the list you can select all files with Edit/Select All menu command or 'Ctrl+A' hot key.
Options [Ctrl+Enter] — opens the Options dialog box for operating program settings and generation process, setting interface language etc.
Start Conversion [Ctrl+R] — works with all Tabs and starts the conversion process.
Stop Conversion [Esc] — works with 'Single File' and 'Text Block' Tabs only (for stopping the multiple file conversion you have to press 'Stop' Button in special progress displaying window box) and stops the conversion process with loss of already generated data.
Script Templates Editor — works with first three Tabs only and opens the Script Templates Editor window where you can create, edit or delete your scripts templates.
Exit [Alt+F4] — closes Program Window.
Edit:
Cut [Ctrl+X] — works only with 'Text Block' and 'Email to JavaScript' Tabs and allows to cut selected text from text fields to Clipboard.
Copy [Ctrl+C] — works only with 'Text Block' and 'Email to JavaScript' Tabs and allows to copy selected text from text fields to Clipboard.
Paste [Ctrl+V] — works only with 'Text Block' and 'Email to JavaScript' Tabs and allows to paste the text from Clipboard to activated text field.
Select All [Ctrl+A] — works with 'Files List' (allows to select all files in the list), 'Text Block' and 'Email to JavaScript' (allows to select the whole text in activated text field) Tabs.
View:
Word Wrap [Ctrl+W] — works only with 'Text Block' Tab and turns on/off the word wrap feature in both text fields.
Font [Ctrl+F] — works only with 'Text Block' and 'Email to JavaScript' Tabs and allows set any font, font size and code page for displaying text of text fields. Established parameters are remembered on exit.
Help:
Help Topics [F1] — opens this Help File.
About the Program [F2] — information about program version, developer etc.
easy HTools on the Web — opens 'easy HTools' Corporation web site.
Show Next Tip [F3] — opens the 'Single File' Tab without having lost the information on other tabs and displays the next Tip in 'Tip of the Day' Frame.


Options

Easy HTML To Any Script Converter allows users to set different options to operate program settings, change interface language etc.

When you run program the first time its all options are established by default. Upon termination the configuration file in the program directory is created and all established parameters and attributes are remembered and at the following start of the program are restored.

  • Remembered Last Opened Tab on Exit — is useful for users which prefer to work with definite mode and rarely use other modes.
  • Remember Input Directory Address — works ONLY under 'Single File' mode and allows to remember the directory of last opened source HTML file.
  • Remember Output Directory Address — also works ONLY under 'Single File' mode and allows to remember the directory of last saved script file.
  • Copy Output Code To Clipboard Automatically (for Text Blocks Only) — works only with 'Text Block' and 'Email To JavaScript' tabs and allows to set automatically copying of generated code to the clipboard, upon finishing the matching message will be displayed in the statusbar.
  • Interface Language — allows to switch between existing interface languages. Here you can read more about interface translating.


Script Templates Editor

Script Templates Editor allows to edit script templates, create your own or delete existing templates. Here you can establish script formatting mode, auto detection with replacement of some symbols used in scripts etc.

For opening script templates editor window just press the matching toolbar button or click the 'Script Templates Editor' menu command in 'File' menu.

For creating, saving, deleting of scripts and closing the window you can use matching buttons on the right upper part of editor's window.

  • Script Templates List in left upper part allows to select the template for editing in templates editor or for deleting it.
  • File Extension text field allows to type the extension for generated files using current template (example: js for JavaScript Files).
  • String Formatting frame allows to type script code fragments for inserting before HTML string, after HTML string and before automatically generated comment Generated by Easy HTML To Any Script Converter.
  • Add Script Identificators frame allows to type script code fragments for adding to the top and to the bottom of generated scripts according to 'Add To Files' and 'Add To Blocks' checkboxes status. E.g. JavaScript needs the identificators to be added only in generated blocks, but PHP and PERL need them to be added only in generated files.
  • Replace frame allows to set code fragments in upper cells which will be replaced by fragments typed in matching lower cells.
    Note: the replacement is being performed in consecutive sequence so that you have to place all fragments in such order that will not bring to overwriting of already replaced ones, e.g. don't put any replacement of "\" after any other pair where the "\" is added!


License Agreement

Important — read carefully before using this product!

This End-User License Agreement (EULA) is a legal agreement between the developer of 'Easy HTML To Any Script Converter' (the Software Product) — easy HTools Corporation (the Author), and you (either an individual or a single entity).

By installing, copying, or otherwise using the Software Product, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the Software Product.

Software Product License

This Software Product is distributed on Freeware basis. It may be freely used, copied and distributed as long as it is not sold, and all original files are included, including this license.

The Software Product is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

The EULA Contents:

  1. The basic license agreement;
  2. Limited warranty.

1. The Basic License Agreement

Reproduction and Distribution
You may:

This EULA represents a right to install, copy, access, display, run, create backup or otherwise use the Software Product.

You may reproduce and distribute an unlimited number of copies of the Software Product.

Required that each copy should be a true and complete copy, including all copyright and trademark notices, and shall be accompanied by a copy of this EULA.

If you publish any information about this Software Product on the Web, the link to easy HTools Website is REQUIRED.

You may not:

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, separate components and resell any part of the Software Product except as provided for in this agreement without Author's explicit prior written permission. Any such unauthorized use shall result in immediate and automatic termination of the rights granted in this EULA and may result in criminal and/or civil prosecution.

Termination

Without prejudice to any other rights, the Author may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must delete all copies of the Software Product and all of its component parts.

2. Limited Warranty

The Author provides warranty of the Software Product carrier's serviceability (only for official CD distributions), absence of any viruses, adware and spyware modules.

The Software Product and any related documentation is provided "AS IS" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising out of use or performance of the Software Product remains with you.

In no event shall the author of this Software Product be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author of this Software Product has been advised of the possibility of such damages.

All rights not expressly granted in this EULA are reserved by 'Easy HTools Corporation'. All copyrights to the 'Easy HTML To Any Script Converter' are exclusively owned by the author — 'Easy HTools Corporation'.

Thank you for using 'Easy HTML To Any Script Converter'

© <@> easy HTools Corporation


Interface Translating

Setup Pack for Easy HTML To Any Script Converter already includes some additional language files (English are built in the program), but in spite of this fact each user an opportunity to create the interface on any other language and further to work with it. Everything you need is a selected language support by your version of Windows, and also it is a little patience.

In 'Languages' folder of the program directory you will find a sample file for translation into any language called 'sample.txt'. You can open it for further editing in the 'Notepad' or any other text editor. Each row in it begins with number of row and equal-sign. Directly after an equal-sign enter the text of translation for matching row on your native language. You can make translation only of a part of rows which are most necessary for you — for untranslated strings will be displayed matching English text.

And finally, you have to rename this file so that a filename become the name of your native language in English (e.g. 'Russian') and change file extension "*.txt" to "*.lng". After that your language name will appear in the languages list in Options 'General' tab. Select it and press 'OK' and you will get the interface on your native language.

If you first make a translation of program interface, tips and help files (are placed in a program directory) to one of Western European languages and send to us (desirable in TXT format for interface and tips files and either in HTML, TXT, RTF or DOC formats for help file) then you can get free registration for one of our shareware products.

Before beginning translation please contact the developers at translate@easyhtools.com for getting information about availability of any other translation to the same language.


About 'Easy HTML To Any Script Converter'

Tech Info

Easy HTML To Any Script Converter is developed by easy HTools Development Team on 'Pascal' programming language with using of freeware distributed code economic library Key Objects Library and Mirror Classes Kit (KOL&MCK), created by Vladimir Kladov (http://xcl.cjb.net).

Distribution

Easy HTML To Any Script Converter is completely freeware. It may be used and distributed without limitations, in its original form as available here. Please read carefully the license agrement before using this product.

Technical support

If you need help with Easy HTML To Any Script Converter or just have a question, please contact us via email:
support@easyhtools.com
or fill the form on:
http://www.easyhtools.com/support.html.

Our Technical Support Team will answer all messages as soon as possible. Any questions, comments, reports, etc. are welcomed.

Latest Version

The latest version of Easy HTML To Any Script Converter and our other software products are available at: http://www.easyhtools.com.

Version history

+ — function added; ! — error fixed; * — other changes

Version 1.1.0 (March 05, 2005)
  • + Chinese (Traditional), German and Greek Interface Languages added;
  • + Command line support for single file (opens 'Single File' tab) and multiple files (opens 'Files List' tab) added;
  • + Visual XP Style interface support added;
  • + Automatically copying of output code to Clipboard for text blocks feature added;
  • + "Email To JavaScript" Tab Input Text Fields now support special charecters;
  • * Other small improvements and bug fixes.
Version 1.0.0 (December 22, 2004)
  • Official Release.


Other Products from 'easy HTools'

Easy Index Generator

Easy Index Generator Icon Easy Index Generator provides fast and easy creation of configurable index files (files of Contents) for any files types in HTML (both as single page and as frameset) and HHC formats, which can be used in CHM (HTMLHelp), eBooks, online Help, as DataCD menu, as sitemap of your website providing quick access to HTML pages, graphics, media files, shared documents, applications, archives etc. You can specify which types of files will be indexed and sort project items by moving them up and down, creating logical sections etc.
Program can create two types of tree menus of indexed files in a target HTML file: static menus and click-to-open menus.
Generated file(s) automatically will be placed in the indexing folder.

Easy Index Generator is distributed on shareware basis. You can download its copy from our website for free evaluation without any time limit. If you decide to keep the software, you must register your copy paying $20.00 US dollars for single user license or $50.00 US dollars for corporative license.

Additional information about Easy Index Generator you can get from program description Page on the Web:
http://www.easyhtools.com/eigdescription.html.

Easy HTML Autorun Builder

Easy HTML Autorun Builder Icon Easy HTML Autorun Builder is an application pack designed for easy creation of HTML-based CD/DVD autorun menu which provides quick access to existing files and documents. Executable CD Menu Shell works on Basis of System 'MS Internet Explorer' versions 4.0 or higher. Additional features allow to open all documents in their default programs, run executable files directly by clicking links on loaded HMTL Pages, use some Special Commands to open any folder in Windows Explorer and close program window directly from HTML page.
Program gives you the ability to preview your Menu before burning the CD to make sure there are no mistakes in Your Project regarding to its interface and its links.
After Project Creation all that you have to do is closing a program and writing all files and subdirectories of Project Directory on CD/DVD with any writing software.

Easy HTML Autorun Builder is distributed on shareware basis. You can download its copy from our website for free evaluation without any time limit. If you decide to keep the software, you must register your copy paying $20.00 US dollars for personal license or $50.00 US dollars for corporative license.

Additional information about Easy HTML Autorun Builder you can get from program description Page on the Web:
http://www.easyhtools.com/ehadescription.html.

Easy Text To HTML Converter

Easy Text To HTML Converter Icon Easy Text To HTML Converter provides fast and easy conversion of Text Files (in *.txt, *.rtf formats) and Text Blocks pasted from Clipboard to HTML.
The conversion is being performed in three different modes , placed on separate tabs of the main window: 'Single File', 'Files List' and 'Text Block'. This allows to set conversion options matching to selected mode.
The program allows users to set different options not only to operate program settings and generation process, but also to establish formatting mode, auto detection with replacement of special symbols etc. The formatting of Text Block will be performed according to selected options in drop-down lists placed above on the same tab.

Easy Text To HTML Converter is completely freeware. It may be used and distributed without limitations, in its original form as available on easy HTools website.

Read more about Easy Text To HTML Converter on its web page:
http://www.easyhtools.com/ethdescription.html.